%define upstream_name    MooseX-InsideOut
%define upstream_version 0.106

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Inside-out objects with Moose
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::MOP)
BuildRequires: perl(Hash::Util::FieldHash::Compat)
BuildRequires: perl(Moose)
BuildRequires: perl(namespace::clean)
BuildArch: noarch

%description
MooseX::InsideOut provides metaroles for inside-out objects. That is, it
sets up attribute slot storage somewhere other than inside '$self'. This
means that you can extend non-Moose classes, whose internals you either
don't want to care about or aren't hash-based.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Mon Feb 04 2013 jquelin <jquelin> 0.106.0-1.mga3
+ Revision: 394514
- imported package perl-MooseX-InsideOut


* Mon Feb 04 2013 cpan2dist 0.106-1mga
- initial mageia release, generated with cpan2dist
